Re: LC 8.1.4 and Xcode 8.3.3

2017-06-08 Thread hlowe via use-livecode
Thank you Panos.

Henry



--
View this message in context: 
http://runtime-revolution.278305.n4.nabble.com/LC-8-1-4-and-Xcode-8-3-3-tp4715579p4715596.html
Sent from the Revolution - User mailing list archive at Nabble.com.

___
use-livecode mailing list
use-livecode@lists.runrev.com
Please visit this url to subscribe, unsubscribe and manage your subscription 
preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode


Re: LC 8.1.4 and Xcode 8.3.3

2017-06-08 Thread panagiotis merakos via use-livecode
Hi Henry,

This will be fixed in the next LC 8.1.5 RC1 release.

For anyone interested, see the bug report (and the fix):
http://quality.livecode.com/show_bug.cgi?id=19826

Best,
Panos
--

On Thu, Jun 8, 2017 at 8:32 AM, panagiotis merakos <
panos.mera...@livecode.com> wrote:

> Hi Henry,
>
> It seems that Xcode 8.3.3. was released yesterday, too. I will have a look
> at this issue. My guess is that in Xcode 8.3.3., Apple has (again!) changed
> some internal frameworks we use for deploying to simulator, so we need to
> tweak our code to workaround this.
>
> So yes, I suggest sticking to Xcode 8.3.2 for now, which is the latest
> tested Xcode that works with LiveCode 8.1.4.
>
> Best,
> Panos
> --
>
> On Thu, Jun 8, 2017 at 6:56 AM, hlowe via use-livecode <
> use-livecode@lists.runrev.com> wrote:
>
>> The release docs for LC 8.1.4 state:
>>
>>  "Last but not least, LiveCode 8.1.4 includes support for building iOS
>> apps
>> using the latest iOS SDKs, included in Xcode 8.3.x."
>>
>> Installed LC Indy 8.1.4 on a Mac under MacOS 10.12.5, installed the new
>> version of Xcode (8.3.3) and I get this error message when attempting to
>> run
>> an LC iOS app in the simulator:
>>
>> "Unable to start simulator: 634,0,0,iPhone Simulator version not found
>> 573,220,1,reviPhoneSetSimulatorSDK"
>>
>> Going to Preferences>Mobile Support and pointing at the newly installed
>> Xcode did not help. Reinstalled xCode 8.3.2 and everything back to normal.
>>
>> Henry
>>
>>
>>
>> --
>> View this message in context: http://runtime-revolution.2783
>> 05.n4.nabble.com/LC-8-1-4-and-Xcode-8-3-3-tp4715579.html
>> Sent from the Revolution - User mailing list archive at Nabble.com.
>>
>> ___
>> use-livecode mailing list
>> use-livecode@lists.runrev.com
>> Please visit this url to subscribe, unsubscribe and manage your
>> subscription preferences:
>> http://lists.runrev.com/mailman/listinfo/use-livecode
>>
>
>
>
> --
> Panagiotis Merakos 
> LiveCode Software Developer
>
> Everyone Can Create Apps 
>



-- 
Panagiotis Merakos 
LiveCode Software Developer

Everyone Can Create Apps 
___
use-livecode mailing list
use-livecode@lists.runrev.com
Please visit this url to subscribe, unsubscribe and manage your subscription 
preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode


Re: LC 8.1.4 and Xcode 8.3.3

2017-06-08 Thread panagiotis merakos via use-livecode
Hi Henry,

It seems that Xcode 8.3.3. was released yesterday, too. I will have a look
at this issue. My guess is that in Xcode 8.3.3., Apple has (again!) changed
some internal frameworks we use for deploying to simulator, so we need to
tweak our code to workaround this.

So yes, I suggest sticking to Xcode 8.3.2 for now, which is the latest
tested Xcode that works with LiveCode 8.1.4.

Best,
Panos
--

On Thu, Jun 8, 2017 at 6:56 AM, hlowe via use-livecode <
use-livecode@lists.runrev.com> wrote:

> The release docs for LC 8.1.4 state:
>
>  "Last but not least, LiveCode 8.1.4 includes support for building iOS apps
> using the latest iOS SDKs, included in Xcode 8.3.x."
>
> Installed LC Indy 8.1.4 on a Mac under MacOS 10.12.5, installed the new
> version of Xcode (8.3.3) and I get this error message when attempting to
> run
> an LC iOS app in the simulator:
>
> "Unable to start simulator: 634,0,0,iPhone Simulator version not found
> 573,220,1,reviPhoneSetSimulatorSDK"
>
> Going to Preferences>Mobile Support and pointing at the newly installed
> Xcode did not help. Reinstalled xCode 8.3.2 and everything back to normal.
>
> Henry
>
>
>
> --
> View this message in context: http://runtime-revolution.
> 278305.n4.nabble.com/LC-8-1-4-and-Xcode-8-3-3-tp4715579.html
> Sent from the Revolution - User mailing list archive at Nabble.com.
>
> ___
> use-livecode mailing list
> use-livecode@lists.runrev.com
> Please visit this url to subscribe, unsubscribe and manage your
> subscription preferences:
> http://lists.runrev.com/mailman/listinfo/use-livecode
>



-- 
Panagiotis Merakos 
LiveCode Software Developer

Everyone Can Create Apps 
___
use-livecode mailing list
use-livecode@lists.runrev.com
Please visit this url to subscribe, unsubscribe and manage your subscription 
preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode


LC 8.1.4 and Xcode 8.3.3

2017-06-08 Thread hlowe via use-livecode
The release docs for LC 8.1.4 state:

 "Last but not least, LiveCode 8.1.4 includes support for building iOS apps
using the latest iOS SDKs, included in Xcode 8.3.x."

Installed LC Indy 8.1.4 on a Mac under MacOS 10.12.5, installed the new
version of Xcode (8.3.3) and I get this error message when attempting to run
an LC iOS app in the simulator:

"Unable to start simulator: 634,0,0,iPhone Simulator version not found
573,220,1,reviPhoneSetSimulatorSDK"

Going to Preferences>Mobile Support and pointing at the newly installed
Xcode did not help. Reinstalled xCode 8.3.2 and everything back to normal.

Henry



--
View this message in context: 
http://runtime-revolution.278305.n4.nabble.com/LC-8-1-4-and-Xcode-8-3-3-tp4715579.html
Sent from the Revolution - User mailing list archive at Nabble.com.

___
use-livecode mailing list
use-livecode@lists.runrev.com
Please visit this url to subscribe, unsubscribe and manage your subscription 
preferences:
http://lists.runrev.com/mailman/listinfo/use-livecode